%global pypi_name ansible-lint
%global module_name ansible_lint
%global commitId 61ed3eaeb99872c95ea5f8c7d391fcb7ea11dce8

Name:           %{pypi_name}
Version:        6.0.2
Release:        3%{?dist}
Summary:        Checks playbooks for practices and behaviour that could potentially be improved

License:        GPLv3
URL:            https://github.com/ansible/ansible-lint
Source0:        ansible-lint-61ed3eaeb99872c95ea5f8c7d391fcb7ea11dce8.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools >= 42
BuildRequires:  python%{python3_pkgversion}-setuptools_scm+toml >= 3.5.0
BuildRequires:  python%{python3_pkgversion}-setuptools_scm_git_archive >= 1.0
BuildRequires:  python%{python3_pkgversion}-wheel

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       ansible-core >= 2.13.0
Requires:       python%{python3_pkgversion}-ansible-compat >= 2.0.2
Requires:       python%{python3_pkgversion}-enrich >= 1.2.6
Requires:       python%{python3_pkgversion}-packaging
Requires:       python%{python3_pkgversion}-pyyaml
Requires:       python%{python3_pkgversion}-rich >= 9.5.1
Requires:       python%{python3_pkgversion}-ruamel-yaml < 0.18
Requires:       python%{python3_pkgversion}-ruamel-yaml >= 0.15.34
Requires:       python%{python3_pkgversion}-wcmatch >= 7.0
Requires:       yamllint >= 1.25.0

%description
%{summary}

%prep
%autosetup -n %{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheel --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheel %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files
%license COPYING
%doc README.rst docs/README.md examples/playbooks/README.md test/local-content/README.md
%{_bindir}/ansible-lint
%{python3_sitelib}/ansiblelint
%{python3_sitelib}/%{module_name}-%{version}.dist-info

%changelog
* Fri Apr 08 2022 Dimitri Savineau <dsavinea@redhat.com> - 6.0.2-3
- Depends on ansible-core 2.13

* Sat Mar 26 2022 Paul Belanger <pabelanger@redhat.com> - 6.0.2-2
- rebuilt for CPaaS

* Thu Mar 24 2022 Dimitri Savineau <dsavinea@redhat.com> - 6.0.2-1
- Update to 6.0.2

* Fri Mar 18 2022 Dimitri Savineau <dsavinea@redhat.com> - 6.0.1-1
- Update to 6.0.1

* Tue Mar 15 2022 Dimitri Savineau <dsavinea@redhat.com> - 6.0.0-1
- Update to 6.0.0

* Mon Mar 7 2022 Yanis Guenane <yguenane@redhat.com> - 5.4.0-1
- Update to 5.4.0

* Mon Sep 13 2021 Evgeni Golov - 5.0.8-2
- Build against Python 3.8

* Fri May 14 2021 Evgeni Golov - 5.0.8-1
- Release ansible-lint 5.0.8

* Wed Mar 31 2021 Evgeni Golov - 5.0.6-1
- Update to 5.0.6

* Tue Nov 10 2020 Evgeni Golov 4.2.0-2
- fix requires

* Mon Jul 27 2020 Evgeni Golov 4.2.0-1
- package ansible-lint
-
